<?php
// -------------------------------------------------------------------------
// custom_submenuentries.php for 'Smallboxes Geeklog theme'
// Yoshinori Tahara as dengen
// http://www.trybase.com/~dengen/log/
// 2006.7.26
// -------------------------------------------------------------------------

// Smallboxesのサブメニュー項目を返す関数です。
// 本関数はサンプルであり汎用性はありません。適宜カスタマイズしてください。

function CUSTOM_submenuEntries()
{
    global $LANG01, $LANG_LINKS;


    $submenuEntries = array (
       $LANG01[90]        => 'submenu_entry_01', //ホーム
       $LANG01[117]       => 'submenu_entry_02', //記事一覧
       $LANG_LINKS[114]   => 'submenu_entry_03', //リンク
    );
    return $submenuEntries;
}
    function submenu_entry_01() //ホーム
    {
        global $_CONF;

        $elements = "";
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/index.php'><span>■</span>&nbsp;About this site</a></li>" . LB;
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/index.php'><span>■</span>&nbsp;About Geeklog</a></li>" . LB;
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/users.php'><span>■</span>&nbsp;Login</a></li>" . LB;
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/profiles.php?uid=2'><span>■</span>&nbsp;Email</a></li>" . LB;
        return $elements;
    }
    function submenu_entry_02() //記事一覧
    {
        global $_CONF;

        $elements = "";
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/index.php?topic=Debian'><span>■</span>&nbsp;Debian</a></li>" . LB;
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/index.php?topic=Windows'><span>■</span>&nbsp;Windows</a></li>" . LB;
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/log/index.php?topic=General'><span>■</span>&nbsp;General News</a></li>" . LB;
        $elements .= "<li><a href='" . $_CONF['site_url'] . "/index.php?topic=GeekLog'><span>■</span>&nbsp;GeekLog</a></li>" . LB;
        return $elements;
    }
    function submenu_entry_03() //リンク
    {
        global $_CONF, $_TABLES;

        $elements = "";
        
        $result = DB_query ("SELECT DISTINCT category FROM {$_TABLES['links']}" . COM_getPermSQL () . " ORDER BY category");
        while ( $o = DB_fetchArray($result) )
        {
            $elements .= "<li><a href='" . $_CONF['site_url'] . "/links/index.php?category="
                       . $o['category'] . "'><span>■</span>&nbsp;" . $o['category'] . "</a></li>" . LB;
        }
        return $elements;
    }

?>
